/* ********** Kullanılan diğer classlar ********** */
//---		Controls.js


/* ********** Genel Değişkenler ********** */
var isIE = IsIE();			//Internet Explorer olup olmadığını tutan değişken
var altDiv;				//Alt bilginin gözterileceği HTML elementi
var altDivHeight=-100;		//Kullanılacak olan altDiv'in yüksekliği kaydırma için gerekli
var altDivWidth=150;		//Kullanılacak olan altDiv'in genişliği kaydırma için gerekli
var X=0;					//Kaydırılacak olan div için soldan bırakılacak mesafe değişkeni
var Y=0;					//Kaydırılacak olan div için üstten bırakılacak mesafe değişkeni
var _basX=805;				//Kaydırılacak olan div için soldan bırakılacak mesafe değişkeni için başlangıç değer
var _basY=13;				//Kaydırılacak olan div için üstten bırakılacak mesafe değişkeni için başlangıç değer
var _docE=document.documentElement;	//document.documentElement elementini kolay kullanmak için
var forSlide=false;		//İşlemin onmouseover'damı yoksa sürekli olarakmı gerçekleşeceğini anlamak için
var timer;				//Kaydıralacak olan sdivn timer değişkeni
var tempElement;			//Alt bilgisi alınan element için geçici değişken
var In=false;				//Mouse'un div sınırları üzerinde gezinip gezinmediği konusunda yardımcı eleman
var offX;					//Offset x değeri için
var offY;					//Offset y değeri için
var pageWidth;
var pageHeight;
/* ********** Genel Değişkenler ********** */


/* ********** Genel Açıklama

	\\ Mouse Over slaytı \\
	
	elementin üzerine gelince alt bilgisinin gözükmesi için aşağıdaki gibi bir kod üzerine gelince alt bilgisi gözükecek olan 
	HTML elementinin tag lari içine yapıştırılırsa element üzerine gelindiğinde ilgili bilgi alt olarak görükür element üzerinden 
	çıkıldığında ise bü bilgi kaybolur.
		
						{| ***** | ***** |}
				
	<input... onmouseover="ShowAlt( 'BOYEX', event );" onmousemove="ShowAlt( 'BOYEX', event );" onmouseout="HideAlt();" >
		
						{| ***** | ***** |}
				
	bu tüp bir görünüm içinse onload kısmında ise 
		
						{| ***** | ***** |}
				
	StartAlt( 'altDiv',  false );
		
						{| ***** | ***** |}
				
	yazılması gereklidir.
	
	
	\\ Kayan Yazı slaytı \\
	
	Sayfa kaymasıyla kayan bir yapı isteniyorsa eğer
	
						{| ***** | ***** |}
						
	
		StartAlt( 'altDiv', true, 'StartElement' );  
		
	
						{| ***** | ***** |}
	
	yazılmadı gerekmektedir.
	
	onclick olaylarında ise ;
	
						{| ***** | ***** |}
						
		ShowAlt( 'ElementName', event );
		
						{| ***** | ***** |}
	
	yazılması gerekmektedir.

********** */




/* ********** ShowAlt Fonksiyonu Başlangıç ********** */

// Herhangi bir yazı, link, imaj vs.. için alt bilgi diyaloğu yaratır.

		function ShowAlt(_element , e)
		{
			offX = (!isIE)?window.pageXOffset:_docE.scrollLeft;
			offY = (!isIE)?window.pageYOffset:_docE.scrollTop;
			if (!forSlide)
			{
				e = (e)?e:window.event;
				/*X += ( offX + e.clientX - X + 50)/8;*/
				Y += ( offY + e.clientY - Y - 50)/8;
				//if (pageHeight)
				//	Y = ( Y < pageHeight - 150 )?Y:pageHeight - 150;
			}
			else
			{
				/*X += ( offX + _basX - X)/8;
				if (pageWidth)
				X = ( X < pageWidth - altDivWidth )?X:pageWidth - altDivWidth;*/
				
				Y += ( offY + _basY - Y)/8;
				if (pageHeight)
				Y = ( Y < pageHeight - altDivHeight )?Y:pageHeight - altDivHeight;
			}
			X = _basX;
			with (altDiv.style)
			{
				visibility = "visible";
				left = X + "px";
				top = Y + "px";
			}
			if (!In)
			{
				if (!forSlide)
					if (_element != tempElement)
						setInnerHtml( altDiv.id, getAlt((_element)?_element:tempElement) );//getText((_element)?_element:tempElement));
				In = !In;
			}
				
				
			if (forSlide)
				timer = setTimeout("ShowAlt()", 2);
			
		}

/* ********** ShowAlt Fonksiyonu Bitiş ********** */

	/*if (isIE)
					filter = "alpha(opacity=50)";
				else
					MozOpacity=(50/100);*/





/* ********** HideAlt Fonksiyonu Başlangıç ********** */

// Herhangi bir yazı, link, imaj vs.. için alt bilgi diyaloğunu kapatır.

		function HideAlt(  )
		{
			if (In)
				In = !In;
			if (!forSlide)
				setInnerHtml( altDiv.id, ' ' );
			with (altDiv.style)
			{
				visibility = "hidden";
				left = "-5px";
				top = "-5px";
			}
		}

/* ********** HideAlt Fonksiyonu Bitiş ********** */







/* ********** StartAlt Fonksiyonu Başlangıç ********** */

// Alt bilgi yazısının görüntülenmesi ilk değerlerin birkereliğine atanması için

		function StartAlt ( divName, _forSlide, firstElement )
		{
			altDiv = getElement( divName );
			if (!altDiv)
				return ShowError( 'Alt bilgi yaratılırken hata : Element bulunamadı!' );
			forSlide = (!_forSlide)?forSlide:_forSlide;
			
			if (!forSlide)
				HideAlt();
			else
			{
				tempElement = firstElement;	
				ShowAlt();
			}
		}
	
/* ********** StartAlt Fonksiyonu Başlangıç ********** */